//---------------------------------------------------------------------------
#ifndef DetectorH
#define DetectorH

//---------------------------------------------------------------------------
#include "ImpExp.h"
#include "Events.h"
#include "Img.h"

//---------------------------------------------------------------------------
class TDetector: public TImpExp
{
protected:
	char *Name;
	ee::TParameters Configuration;

public:
	TDetector();
	virtual ~TDetector();

	char* GetName();
	void SetConfiguration(ee::TParameters Configuration);

	virtual void Init();
	virtual void Do(int Time, TImg &Img);
	virtual void Get(TImpExp &Results);
};

#endif

